Announcement

Collapse
No announcement yet.

AMD R7 370 on arch with mesa-git (mesa-dev 13.1) vulkan problems

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • AMD R7 370 on arch with mesa-git (mesa-dev 13.1) vulkan problems

    Hi,
    today I tried installing mesa-git(mesa-dev 13.1) on my Arch linux. I am new to this linux graphics world. Tried hard reading all the info about all those things and decided to ask for a help/info here.
    What I am trying to achieve:
    run DOTA2 with vulkan.

    Here are some details I tried collecting.
    I am running on linux 4.9 rc8 kernel.
    Tried installing amdgpu-pro 16.50 but it wasn't working. On AMD site did not see my card(R7 370) listed, only R7 M370. so I figured maybe that's why it doesn't work. Then I went mesa way.
    Installed:
    Mesa-dev 13.1
    vulkan-radeon-git
    vulkan-icd-loader.
    Not sure if those three packages and their dependencies are enough or should I install something additionally.

    when I run vulkaninfo I get:
    Code:
    ===========
    VULKAN INFO
    ===========
    
    Vulkan API Version: 1.0.33
    
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_basic.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_generic.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_screenshot.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_swapchain.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_multi.json, version "1.0.1"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_core_validation.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_object_tracker.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_unique_objects.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_image.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_parameter_validation.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_threading.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/explicit_layer.d/VkLayer_api_dump.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /home/simas/.local/share/vulkan/implicit_layer.d/steamoverlay_i386.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /home/simas/.local/share/vulkan/implicit_layer.d/steamoverlay_x86_64.json, version "1.0.0"
    INFO: [loader] Code 0 : Found manifest file /usr/share/vulkan/icd.d/radeon_icd.x86_64.json, version "1.0.0"
    
    Instance Extensions:
    ====================
    Instance Extensions    count = 5
        VK_KHR_surface                      : extension revision 25
        VK_KHR_xcb_surface                  : extension revision  6
        VK_KHR_xlib_surface                 : extension revision  6
        VK_KHR_wayland_surface              : extension revision  5
        VK_EXT_debug_report                 : extension revision  3
    /build/vulkan-loader-layers/src/Vulkan-LoaderAndValidationLayers-sdk-1.0.33.0/demos/vulkaninfo.c:1444: failed with VK_ERROR_INITIALIZATION_FAILED
    I am not sure if anything from vulkan should be loaded as a module. But here's what lsmod gives me:
    Code:
    lsmod |grep rad
    radeon               1478656  13
    ttm                    86016  1 radeon
    drm_kms_helper        126976  1 radeon
    drm                   294912  8 radeon,ttm,drm_kms_helper
    i2c_algo_bit           16384  1 radeon
    when I try to start a game with vulkan enabled I get:
    Code:
    Failed to initialize Vulkan. Please make sure your driver and GPU support Vulkan.
    I am sorry for missing details as I am not aware what kind of information here is beneficial. I would be really glad if someone could give me some tips what needs to be done to get vulkan running. Cause I feel like I missed some steps or extra packages.
    Can it be that my GCN1.0 R7 370 is not compatible with this version of vulkan?
    By the way is there any tool(glxgears like) that I could use to test if vulkan is working?

    Thanks guys.

  • #2
    I feel like I already answered this - do you have the same post up multiple times ?

    Comment


    • #3
      yes you did... sorry, when I posted this I thought my session expired and my post disappeared. I couldn't find that neither in the topic list nor in my profile > posts, so I rewrote it again...

      Comment

      Working...
      X